#*****************************************************************************
#* FILE NAME:       makefile.inc
#* FILE CONTAINS:
#* DESCRIPTION:     Make file include
#* NOTES:           
#*****************************************************************************
#*                   INTEL CORPORATION PROPRIETARY INFORMATION
#*     This software is supplied under the terms of a license agreement or
#*     nondisclosure agreement with Intel Corporation and may not be copied
#*     or disclosed except in accordance with the terms of that agreement.
#*           Copyright (c) 1995 Intel Corporation.  All Rights Reserved.
#*****************************************************************************

imbdrv.rc: imbdrv.rc imbdrv.bmf

imb_log.h imb_log.rc msg00001.bin: imb_log.mc
    mc -v -c  imb_log.mc

#
# generate auxilary files from the binary mof (bmf) file
#

clean:
    del imbdrv.bmf IMBDrvMOF.h IMBDrvMOF.vbs

imbdrv.bmf: IMBDrv.mof
    mofcomp -WMI -B:imbdrv.bmf IMBDrv.mof

IMBDrvMOF.vbs IMBDrvMOF.h IMBDrvMOF.x: imbdrv.bmf
    wmimofck -hIMBDrvMOF.h -tIMBDrvMOF.vbs -xIMBDrvMOF.x imbdrv.bmf
